DIRCOLORS(1)

NAME
dircolors - color setup for `ls'

SYNOPSIS
dircolors [-b] [--sh] [--bourne-shell] [-c] [--csh] [--c-shell] [-p] [--print-database] [--help] [--version] [FILE]

DESCRIPTION
dircolors outputs a sequence of shell commands to define the desired color output from ls (and dir, etc.). Typical usage:
    eval `dircolors [OPTION]... [FILE]`

If FILE is specified, dircolors reads it to determine which colors to use for which file types and extensions. Otherwise, a compiled-in database is used. For details on the format of these files, run `dircolors -p'.

The output is a shell command to set the LS_COLORS environment variable. You can specify the shell syntax to use on the command line, or dircolors will guess it from the value of the SHELL environment variable.

After execution of this command, `ls --color' (which one might alias to ls) will list files in the desired colors.

OPTIONS

-b, --sh, --bourne-shell
    Output Bourne shell commands. This is the default if the SHELL environment variable is set and does not end with csh or tcsh.

-c, --csh, --c-shell
    Output C shell commands. This is the default if SHELL ends with csh or tcsh.

-p, --print-database
    Print the (compiled-in) default color configuration database. This output is itself a valid configuration file, and is fairly descriptive of the possibilities.

GNU STANDARD OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output, then exit successfully.

--  Terminate option list.

ENVIRONMENT
The variables SHELL and TERM are used to find the proper form of the shell command. The variables LANG, LC_ALL, LC_CTYPE and LC_MESSAGES have the usual meaning. The variable LS_COLORS is used to transfer information to ls.

CONFORMING TO
Coloured output for ls(1) is a GNU extension. This implementation is not entirely compatible with the original dircolors/color-ls package distributed with Slackware Linux. Notably, specific support for the Z shell and Korn shell is not present. Users of these shells should use the Bourne shell (-b) mode.

SEE ALSO
ls(1), dir_colors(5)

FILES
The program dircolors itself does not use any configuration files. However, customarily the shell initialization scripts invoke dircolors with one of the following.

/etc/DIR_COLORS
    System-wide configuration file for dircolors.

~/.dir_colors
    Per-user configuration file for dircolors.

NOTES
This page describes dircolors as found in the fileutils-4.0 package; other versions may differ slightly.